[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TCheckConstraint.Assign

Assign one constraint to another

## Declaration

Source position: db.pas line 1091

`public procedure TCheckConstraint.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Instance to copy properties from.

## Description

Assign is overridden by TCheckConstraint to copy all published properties if Source is also a TCheckConstraint instance.

## Errors

If Source is not an instance of TCheckConstraint, an exception may be thrown.

## See also

TCheckConstraint.ImportedConstraint |  | Constraint imported from the database engine
TCheckConstraint.CustomConstraint |  | User-defined constraint